6

In earlier version we could install the PostGIS using the Stack Builder but now it is not showing the option of spatial extension. Can anyone help me install it?enter image description here

3 Answers 3

3

The doc says

Installers are available for 9.6 64/32-bit on stackbuilder [...]
Installers for PostgreSQL 10 64-bit are available on experimental, and osgeo downloads and will be available shortly on EDB appliction stack builder

--> it's not yet available in Stack Builder.

You can install Postrgres first, then download and install PostGIS

1
  • 2
    BTW just replaced 64-bit with the 2.4.1 installers.. I'll try to get up on stackbuilder this weekend or early next week.
    – Regina Obe
    Commented Oct 20, 2017 at 23:17
1

You can download a 64 bit installer from the official PostGIS website:

http://download.osgeo.org/postgis/windows/pg10/

1
  • 1
    Yah sorry about that. there is something wrong with stackbuilder as a result of the 2 digit switch. so though I uploaded them, it's not showing. I have a call into them to fix the issue. I'll bug them again after I release 2.4.1 this weekend if its still not fixed.
    – Regina Obe
    Commented Oct 20, 2017 at 19:28
1

Installing postgres from this link --> https://www.enterprisedb.com/downloads/postgres-postgresql-downloads

Now allows to install different versions of Postgis: Postgis install with 64 bit postgres 10 installation, from stack builder

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Not the answer you're looking for? Browse other questions tagged or ask your own question.